Bug 440202 - logrotate causes segmentation faults
logrotate causes segmentation faults
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logrotate (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 04:39 EDT by Milos Malik
Modified: 2010-03-04 09:46 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0703
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:52:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-04-02 04:39:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
Logrotate doesn't recognize the name of the file and does something weird.

When the first line of the config file contains "some_log_file {" instead of "./some_log_file {" it causes segmentation fault too, but the message before crash is:

error: config:1 unknown option 'some' -- ignoring line
error: config:1 unexpected text
error: config:4 unexpected }
*** glibc detected *** double free or corruption (!prev): 0x4000000000010ae0 ***
Aborted




Version-Release number of selected component (if applicable):
logrotate-3.7.1-8

How reproducible:
Always


Steps to Reproduce:
1. create a temporary directory
2. enter this directory
3. create a file with name "config"
4. write following 4 lines into the file and save it
   ./some_log_file {
     dateext
     maxage 3
   }
5. touch ./some_log_file
6. logrotate -f -s status config

Actual Results:
# logrotate -f -s status config
error: config:1 lines must begin with a keyword or a filename (possibly in double quotes)
error: config:4 unexpected }
Segmentation fault


Expected Results:
Rotation of the file "some_log_file".

Additional info:
This problem was observed on following machines:

ppcp-4as-6-v1.lab.boston.redhat.com
x86-64-4as-6-m1.lab.boston.redhat.com
i386-4as-6-m1.lab.boston.redhat.com
ia64-4as-6-m1.lab.boston.redhat.com
s390-4as-6-v1.z900.redhat.com
s390x-4as-7-v1.z900.redhat.com
Comment 5 errata-xmlrpc 2008-07-24 15:52:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0703.html

Note You need to log in before you can comment on or make changes to this bug.